rand
sin
Math Functions
PHP Manual

# round

(PHP 4, PHP 5)

round — Rounds a float

### Description

float round ( float `$val` [, int `$precision` ] )

Returns the rounded value of `val` to specified `precision` (number of digits after the decimal point). `precision` can also be negative or zero (default).

> Note: PHP doesn't handle strings like "12,300.2" correctly by default. See converting from strings.

> Note: The `precision` parameter was introduced in PHP 4.

### Parameters

`val`

  The value to round

`precision`

  The optional number of decimal digits to round to, defaults to 0

### Return Values

The rounded value

### Examples

Example #1 round() examples

`<?php
echo round(3.4); // 3
echo round(3.5); // 4
echo round(3.6); // 4
echo round(3.6, 0); // 4
echo round(1.95583, 2); // 1.96
echo round(1241757, -3); // 1242000
echo round(5.045, 2); // 5.05
echo round(5.055, 2); // 5.06
?>`

### See Also

- ceil()
- floor()
- number_format()

rand
sin
Math Functions
PHP Manual